Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Export a theme from a project utilizing a management key.
This endpoint is used to export a theme from a project. The response is the JSON of the theme.
See Also
- See Styles Overview for more information on styles and themes
curl -X POST "https://api.descope.com/v2/mgmt/theme/export"{ "theme": { "styles": {}, "componentsVersion": "string", "references": { "connectors": { "property1": "string", "property2": "string" }, "oauth": [ "string" ], "omitted": [ "string" ], "roles": { "property1": "string", "property2": "string" }, "userAttributes": [ "string" ], "tenantAttributes": [ "string" ] } }}export interface Response {/** * Used by managementservice snapshots - make sure not to break compatibility */theme?: {styles?: {}componentsVersion?: stringreferences?: ProjectReferences}}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ProjectReferences {connectors?: {[k: string]: string}oauth?: string[]omitted?: string[]roles?: {[k: string]: string}userAttributes?: string[]tenantAttributes?: string[]}Import Flow POST
### Import a flow within a project utilizing a management key. This endpoint is used to import a flow to a project. The request items for the `flow` and `screen` this endpoint can be received from the export flow endpoint. ### See Also - See [Flow Overview](/customize/flows/) for more information on flows. - See [Manage Flows](/customize/manage_flows/) for more information on managing (export, import, delete, disable, enable) flows.
Import Theme POST
### Import a theme to a project utilizing a management key. This endpoint is used to import a theme from a project. The request body for this endpoint can be received from the export theme endpoint. ### See Also - See [Styles Overview](/management/project-settings/styles) for more information on styles and themes